import 'package:flutter/material.dart';

class RowInput extends StatelessWidget {
  const RowInput(
      {Key? key,
      required this.label,
      required this.controller,
      this.obscureText = false})
      : super(key: key);

  final String label;
  final TextEditingController controller;
  final bool obscureText;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: 400,
      height: 70,
      child: Expanded(
        child: TextField(
          controller: controller,
          obscureText: obscureText,
          decoration: InputDecoration(
            hintText: label,
          ),
        ),
      ),
    );
  }
}
